Bug 21283 - using if/else in modules.conf confuses rc scripts
using if/else in modules.conf confuses rc scripts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-23 11:09 EST by Paul Flinders
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 10:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Flinders 2000-11-23 11:09:28 EST
rc.sysinit looks for and loads certain modules
by grepping /etc/modules.conf, this fails if you
are using conditional constructs.

Forms like 

alias=`egrep -s "^alias[[:space:]]+sound[[:space:]]+" /etc/modules.conf |
awk '{ print $3 }'`

would be better replaced with

alias=`/sbin/modprobe -c | egrep -s "^alias[[:space:]]+sound[[:space:]]+"
/etc/modules.conf | awk '{ print $3 }'`
Comment 1 Bill Nottingham 2000-12-12 03:18:13 EST
Will be fixed in initscripts-5.53-1 ; thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.